Skip to main content
`Ctrl`+`K`

# RGRingGetParameters

Gets the parameters that define the ring region.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGRingGetParameters(RG rg,PetscScalar *center,PetscReal *radius,PetscReal *vscale,PetscReal *start_ang,PetscReal *end_ang,PetscReal *width)

Not Collective

## Input Parameter

- rg - the region context

## Output Parameters

- center - center of the region

- radius - radius of the region

- vscale - vertical scale of the region

- start_ang - the right-hand side angle

- end_ang - the left-hand side angle

- width - width of the ring

## See Also

RG: Region, `RGRING`, `RGRingSetParameters()`

## Level

advanced

## Location

src/sys/classes/rg/impls/ring/rgring.c

## Implementations

RGRingGetParameters_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages